Zum Hauptinhalt springen
GET
/
marketing
/
v3
/
marketing-events
/
events
/
{externalEventId}
Get Marketing Event by External IDs
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId} \
  --header 'Authorization: Bearer <token>'
{
  "attendees": 123,
  "cancellations": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "dataSensitivity": "high",
      "isEncrypted": true,
      "isLargeValue": true,
      "name": "<string>",
      "persistenceTimestamp": 123,
      "requestId": "<string>",
      "selectedByUser": true,
      "selectedByUserTimestamp": 123,
      "source": "ACADEMY",
      "sourceId": "<string>",
      "sourceLabel": "<string>",
      "sourceMetadata": "<string>",
      "sourceUpstreamDeployable": "<string>",
      "sourceVid": [
        123
      ],
      "timestamp": 123,
      "unit": "<string>",
      "updatedByUserId": 123,
      "useTimestampAsPersistenceTimestamp": true,
      "value": "<string>"
    }
  ],
  "eventName": "<string>",
  "eventOrganizer": "<string>",
  "externalEventId": "<string>",
  "id": "<string>",
  "noShows": 123,
  "registrants": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "endDateTime": "2023-11-07T05:31:56Z",
  "eventCancelled": true,
  "eventCompleted": true,
  "eventDescription": "<string>",
  "eventType": "<string>",
  "eventUrl": "<string>",
  "objectId": "<string>",
  "startDateTime": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

externalEventId
string
erforderlich

Abfrageparameter

externalAccountId
string
erforderlich

Antwort

successful operation

attendees
integer<int32>
erforderlich

The number of HubSpot contacts that attended this marketing event.

cancellations
integer<int32>
erforderlich

The number of HubSpot contacts that registered for this marketing event, but later cancelled their registration.

createdAt
string<date-time>
erforderlich

The creation date and time of the marketing event.

customProperties
object[]
erforderlich

A list of PropertyValues. These can be whatever kind of property names and values you want. However, they must already exist on the HubSpot account's definition of the MarketingEvent Object. If they don't they will be filtered out and not set. In order to do this you'll need to create a new PropertyGroup on the HubSpot account's MarketingEvent object for your specific app and create the Custom Property you want to track on that HubSpot account. Do not create any new default properties on the MarketingEvent object as that will apply to all HubSpot accounts.

eventName
string
erforderlich

The name of the marketing event.

eventOrganizer
string
erforderlich

The name of the organizer of the marketing event.

externalEventId
string
erforderlich

The id of the marketing event in the external event application.

id
string
erforderlich

The ID of the marketing event CRM object.

noShows
integer<int32>
erforderlich

The number of HubSpot contacts that registered for this marketing event, but did not attend. This field only had a value when the event is over.

registrants
integer<int32>
erforderlich

The number of HubSpot contacts that registered for this marketing event.

updatedAt
string<date-time>
erforderlich

The update date and time of the marketing event.

endDateTime
string<date-time>

The end date and time of the marketing event.

eventCancelled
boolean

Indicates if the marketing event has been cancelled.

eventCompleted
boolean

Indicates if the marketing event has been completed.

eventDescription
string

The description of the marketing event.

eventType
string

The type of the marketing event.

eventUrl
string

A URL in the external event application where the marketing event can be managed.

objectId
string

The ID of the marketing event CRM object.

startDateTime
string<date-time>

The start date and time of the marketing event.

Last modified on April 9, 2026